// A config.h file for defining all code being disabled for compiling the stand alone Byte Dump.
// To assist in building this file use (may need to omit --defined-only): "nm --defined-only -f p programs/shared/byte_dump | grep -oP '^(f|fl|fll)_[^\s]+'".
// To get the list of all possible functions, use something like: "grep -horP '\b_di_f_\w*\b' level_0/f_color/".
//
// Note that some special defines may need to be manually added, such as:
//   #define _di_private_inline_f_print_to_error_
//   #define _di_private_inline_private_f_print_to_error_
//
// Example:
//   echo > /tmp/all.txt
//   for i in f_type f_status f_memory f_type_array f_string f_utf f_compare f_color f_console f_conversion f_file f_pipe f_print f_rip f_signal f_thread ; do grep -horP '\b_di_f_\w*\b' level_0/$i/c >> /tmp/all.txt ; grep -horP '\b_di_macro_\w*\b' level_0/$i/c >> /tmp/all.txt ; done
//   for i in fl_conversion fl_print ; do grep -horP '\b_di_fl_\w*\b' level_1/$i/c >> /tmp/all.txt ; grep -horP '\b_di_macro_\w*\b' level_1/$i/c >> /tmp/all.txt ; done
//   for i in fll_error fll_print fll_program ; do grep -horP '\b_di_fll_\w*\b' level_2/$i/c >> /tmp/all.txt ; grep -horP '\b_di_macro_\w*\b' level_2/$i/c >> /tmp/all.txt ; done
//   sort /tmp/all.txt | uniq | sed -e 's|^_|#define &|g' > /tmp/sorted.txt
//   echo "#define _di_private_inline_f_print_to_error_" >> /tmp/sorted.txt
//   echo "#define _di_private_inline_private_f_print_to_error_" >> /tmp/sorted.txt

#define _di_f_cell_t_
#define _di_f_cells_t_
#define _di_f_cellss_delete_callback_
#define _di_f_cellss_destroy_callback_
#define _di_f_cellss_t_
//#define _di_f_char_t_
//#define _di_f_color_begin_s_
//#define _di_f_color_code_black_bg_s_
//#define _di_f_color_code_black_s_
//#define _di_f_color_code_blink_s_
//#define _di_f_color_code_blue_bg_s_
//#define _di_f_color_code_blue_s_
//#define _di_f_color_code_bold_s_
//#define _di_f_color_code_bright_black_bg_s_
//#define _di_f_color_code_bright_black_s_
//#define _di_f_color_code_bright_blue_bg_s_
//#define _di_f_color_code_bright_blue_s_
//#define _di_f_color_code_bright_green_bg_s_
//#define _di_f_color_code_bright_green_s_
//#define _di_f_color_code_bright_purple_bg_s_
//#define _di_f_color_code_bright_purple_s_
//#define _di_f_color_code_bright_red_bg_s_
//#define _di_f_color_code_bright_red_s_
//#define _di_f_color_code_bright_teal_bg_s_
//#define _di_f_color_code_bright_teal_s_
//#define _di_f_color_code_bright_white_bg_s_
//#define _di_f_color_code_bright_white_s_
//#define _di_f_color_code_bright_yellow_bg_s_
//#define _di_f_color_code_bright_yellow_s_
//#define _di_f_color_code_conceal_s_
//#define _di_f_color_code_e_
//#define _di_f_color_code_green_bg_s_
//#define _di_f_color_code_green_s_
//#define _di_f_color_code_purple_bg_s_
//#define _di_f_color_code_purple_s_
//#define _di_f_color_code_red_bg_s_
//#define _di_f_color_code_red_s_
//#define _di_f_color_code_reset_s_
//#define _di_f_color_code_reverse_s_
//#define _di_f_color_code_t_
//#define _di_f_color_code_teal_bg_s_
//#define _di_f_color_code_teal_s_
//#define _di_f_color_code_underline_s_
//#define _di_f_color_code_white_bg_s_
//#define _di_f_color_code_white_s_
//#define _di_f_color_code_yellow_bg_s_
//#define _di_f_color_code_yellow_s_
//#define _di_f_color_context_delete_
#define _di_f_color_context_destroy_
//#define _di_f_color_context_t_
//#define _di_f_color_end_s_
//#define _di_f_color_format_t_
//#define _di_f_color_load_context_
//#define _di_f_color_max_size_d_
//#define _di_f_color_medium_s_
//#define _di_f_color_mode_e_
//#define _di_f_color_reset_s_
//#define _di_f_color_s_
#define _di_f_color_save_1_
#define _di_f_color_save_2_
#define _di_f_color_save_3_
#define _di_f_color_save_4_
#define _di_f_color_save_5_
//#define _di_f_color_set_context_t_
//#define _di_f_color_set_string_empty_s_
//#define _di_f_color_set_t_
//#define _di_f_color_t_
//#define _di_f_color_terminal_name_s_
//#define _di_f_color_terminal_s_
//#define _di_f_color_terminal_value_linux_s_
#define _di_f_compare_
#define _di_f_compare_dynamic_
#define _di_f_compare_dynamic_except_
#define _di_f_compare_dynamic_except_string_
#define _di_f_compare_dynamic_except_trim_
#define _di_f_compare_dynamic_except_trim_string_
#define _di_f_compare_dynamic_partial_
#define _di_f_compare_dynamic_partial_dynamic_
#define _di_f_compare_dynamic_partial_except_
#define _di_f_compare_dynamic_partial_except_dynamic_
#define _di_f_compare_dynamic_partial_except_string_
#define _di_f_compare_dynamic_partial_except_trim_
#define _di_f_compare_dynamic_partial_except_trim_dynamic_
#define _di_f_compare_dynamic_partial_except_trim_string_
#define _di_f_compare_dynamic_partial_string_
#define _di_f_compare_dynamic_partial_trim_
#define _di_f_compare_dynamic_partial_trim_dynamic_
#define _di_f_compare_dynamic_partial_trim_string_
#define _di_f_compare_dynamic_string_
#define _di_f_compare_dynamic_trim_
#define _di_f_compare_dynamic_trim_string_
#define _di_f_compare_except_
#define _di_f_compare_except_trim_
#define _di_f_compare_trim_
#define _di_f_compare_utf_
#define _di_f_compare_utf_dynamic_
#define _di_f_compare_utf_dynamic_except_
#define _di_f_compare_utf_dynamic_except_string_
#define _di_f_compare_utf_dynamic_except_trim_
#define _di_f_compare_utf_dynamic_except_trim_string_
#define _di_f_compare_utf_dynamic_partial_
#define _di_f_compare_utf_dynamic_partial_dynamic_
#define _di_f_compare_utf_dynamic_partial_except_
#define _di_f_compare_utf_dynamic_partial_except_dynamic_
#define _di_f_compare_utf_dynamic_partial_except_string_
#define _di_f_compare_utf_dynamic_partial_except_trim_
#define _di_f_compare_utf_dynamic_partial_except_trim_dynamic_
#define _di_f_compare_utf_dynamic_partial_except_trim_string_
#define _di_f_compare_utf_dynamic_partial_string_
#define _di_f_compare_utf_dynamic_partial_trim_
#define _di_f_compare_utf_dynamic_partial_trim_dynamic_
#define _di_f_compare_utf_dynamic_partial_trim_string_
#define _di_f_compare_utf_dynamic_string_
#define _di_f_compare_utf_dynamic_trim_
#define _di_f_compare_utf_dynamic_trim_string_
#define _di_f_compare_utf_except_
#define _di_f_compare_utf_except_trim_
#define _di_f_compare_utf_trim_
#define _di_f_compare_utf_utf_string_dynamic_partial_trim_
//#define _di_f_console_arguments_t_
#define _di_f_console_environment_process_
//#define _di_f_console_flag_e_
//#define _di_f_console_flag_t_
#define _di_f_console_identify_
//#define _di_f_console_length_size_d_
//#define _di_f_console_parameter_prioritize_left_
//#define _di_f_console_parameter_prioritize_right_
//#define _di_f_console_parameter_process_
#define _di_f_console_parameter_reset_
#define _di_f_console_parameter_state_delete_
#define _di_f_console_parameter_state_destroy_
//#define _di_f_console_parameter_state_t_
//#define _di_f_console_parameter_state_type_e_
//#define _di_f_console_parameter_t_
//#define _di_f_console_parameters_delete_
#define _di_f_console_parameters_destroy_
//#define _di_f_console_parameters_t_
//#define _di_f_console_result_e_
//#define _di_f_console_result_t_
//#define _di_f_console_standard_long_copyright_s_
//#define _di_f_console_standard_long_dark_s_
//#define _di_f_console_standard_long_debug_s_
//#define _di_f_console_standard_long_error_s_
//#define _di_f_console_standard_long_help_s_
//#define _di_f_console_standard_long_light_s_
//#define _di_f_console_standard_long_no_color_s_
//#define _di_f_console_standard_long_normal_s_
//#define _di_f_console_standard_long_quiet_s_
//#define _di_f_console_standard_long_status_in_s_
//#define _di_f_console_standard_long_status_out_s_
//#define _di_f_console_standard_long_verbose_s_
//#define _di_f_console_standard_long_version_s_
//#define _di_f_console_standard_parameter_e_
//#define _di_f_console_standard_s_
//#define _di_f_console_standard_short_copyright_s_
//#define _di_f_console_standard_short_dark_s_
//#define _di_f_console_standard_short_debug_s_
//#define _di_f_console_standard_short_error_s_
//#define _di_f_console_standard_short_help_s_
//#define _di_f_console_standard_short_light_s_
//#define _di_f_console_standard_short_no_color_s_
//#define _di_f_console_standard_short_normal_s_
//#define _di_f_console_standard_short_quiet_s_
//#define _di_f_console_standard_short_status_in_s_
//#define _di_f_console_standard_short_status_out_s_
//#define _di_f_console_standard_short_verbose_s_
//#define _di_f_console_standard_short_version_s_
//#define _di_f_console_symbol_long_inverse_s_
//#define _di_f_console_symbol_long_normal_s_
//#define _di_f_console_symbol_s_
//#define _di_f_console_symbol_short_inverse_s_
//#define _di_f_console_symbol_short_normal_s_
//#define _di_f_console_verbosity_e_
//#define _di_f_conversion_character_is_binary_
//#define _di_f_conversion_character_is_decimal_
//#define _di_f_conversion_character_is_duodecimal_
//#define _di_f_conversion_character_is_hexidecimal_
//#define _di_f_conversion_character_is_octal_
//#define _di_f_conversion_character_to_binary_
//#define _di_f_conversion_character_to_decimal_
//#define _di_f_conversion_character_to_duodecimal_
//#define _di_f_conversion_character_to_hexidecimal_
//#define _di_f_conversion_character_to_octal_
//#define _di_f_conversion_d_
//#define _di_f_conversion_data_base_10_c_
#define _di_f_conversion_data_base_12_c_
#define _di_f_conversion_data_base_16_c_
#define _di_f_conversion_data_base_2_c_
#define _di_f_conversion_data_base_8_c_
//#define _di_f_conversion_data_c_
//#define _di_f_conversion_data_flag_d_
//#define _di_f_conversion_data_t_
//#define _di_f_conversion_number_signed_print_
//#define _di_f_conversion_number_signed_to_string_
//#define _di_f_conversion_number_unsigned_print_
//#define _di_f_conversion_number_unsigned_to_string_
#define _di_f_date_simple_t_
#define _di_f_date_t_
#define _di_f_f_utf_space_em_per_four_s_
#define _di_f_f_utf_space_em_per_six_s_
#define _di_f_f_utf_space_em_per_three_s_
#define _di_f_f_utf_space_em_quad_s_
#define _di_f_f_utf_space_em_s_
#define _di_f_f_utf_space_en_quad_s_
#define _di_f_f_utf_space_en_s_
#define _di_f_f_utf_space_figure_s_
#define _di_f_f_utf_space_hair_s_
#define _di_f_f_utf_space_ideographic_s_
#define _di_f_f_utf_space_line_feed_reverse_s_
#define _di_f_f_utf_space_line_next_s_
#define _di_f_f_utf_space_medium_mathematical_s_
#define _di_f_f_utf_space_no_break_narrow_s_
#define _di_f_f_utf_space_no_break_s_
#define _di_f_f_utf_space_ogham_s_
#define _di_f_f_utf_space_punctuation_s_
#define _di_f_f_utf_space_separator_line_s_
#define _di_f_f_utf_space_separator_paragraph_s_
#define _di_f_f_utf_space_thin_s_
#define _di_f_f_utf_substitute_middle_dot_s_
#define _di_f_f_utf_substitute_open_box_s_
#define _di_f_f_utf_substitute_open_box_shouldered_s_
#define _di_f_f_utf_substitute_symbol_blank_s_
#define _di_f_f_utf_substitute_symbol_space_s_
#define _di_f_file_access_
#define _di_f_file_access_at_
#define _di_f_file_access_mode_d_
#define _di_f_file_at_d_
#define _di_f_file_clone_
//#define _di_f_file_close_
#define _di_f_file_close_id_
#define _di_f_file_copy_
#define _di_f_file_create_
#define _di_f_file_create_at_
#define _di_f_file_create_device_
#define _di_f_file_create_device_at_
#define _di_f_file_create_fifo_
#define _di_f_file_create_fifo_at_
#define _di_f_file_create_node_
#define _di_f_file_create_node_at_
#define _di_f_file_descriptor_
//#define _di_f_file_exists_
#define _di_f_file_exists_at_
//#define _di_f_file_flush_
#define _di_f_file_group_read_
#define _di_f_file_is_
#define _di_f_file_is_at_
#define _di_f_file_is_stat_
#define _di_f_file_link_
#define _di_f_file_link_at_
#define _di_f_file_link_hard_
#define _di_f_file_link_hard_at_
#define _di_f_file_link_read_
#define _di_f_file_link_read_at_
#define _di_f_file_manipulate_
#define _di_f_file_mode_determine_
#define _di_f_file_mode_from_string_
#define _di_f_file_mode_read_
#define _di_f_file_mode_read_at_
#define _di_f_file_mode_set_
#define _di_f_file_mode_set_at_
#define _di_f_file_mode_t_
#define _di_f_file_mode_to_mode_
#define _di_f_file_name_base_
#define _di_f_file_name_directory_
#define _di_f_file_open_
#define _di_f_file_open_at_
//#define _di_f_file_open_mode_read_append_s_
//#define _di_f_file_open_mode_read_s_
//#define _di_f_file_open_mode_read_truncate_s_
//#define _di_f_file_open_mode_read_write_s_
//#define _di_f_file_open_mode_s_
//#define _di_f_file_open_mode_write_append_s_
//#define _di_f_file_open_mode_write_truncate_s_
#define _di_f_file_operation_access_s_
#define _di_f_file_operation_analyze_s_
#define _di_f_file_operation_append_s_
#define _di_f_file_operation_change_group_s_
#define _di_f_file_operation_change_mode_s_
#define _di_f_file_operation_change_owner_s_
#define _di_f_file_operation_change_type_s_
#define _di_f_file_operation_clone_s_
#define _di_f_file_operation_close_s_
#define _di_f_file_operation_concatenate_s_
#define _di_f_file_operation_connect_s_
#define _di_f_file_operation_copy_s_
#define _di_f_file_operation_create_s_
#define _di_f_file_operation_decrypt_s_
#define _di_f_file_operation_delete_s_
#define _di_f_file_operation_disconnect_s_
#define _di_f_file_operation_encrypt_s_
//#define _di_f_file_operation_find_s_
#define _di_f_file_operation_flush_s_
#define _di_f_file_operation_from_s_
#define _di_f_file_operation_get_group_s_
#define _di_f_file_operation_get_mode_s_
#define _di_f_file_operation_get_owner_s_
#define _di_f_file_operation_get_type_s_
#define _di_f_file_operation_identify_s_
#define _di_f_file_operation_link_s_
#define _di_f_file_operation_list_s_
#define _di_f_file_operation_move_s_
//#define _di_f_file_operation_open_s_
#define _di_f_file_operation_pipe_s_
#define _di_f_file_operation_process_s_
#define _di_f_file_operation_read_s_
#define _di_f_file_operation_receive_s_
#define _di_f_file_operation_rename_s_
//#define _di_f_file_operation_s_
#define _di_f_file_operation_send_s_
#define _di_f_file_operation_shred_s_
#define _di_f_file_operation_stat_s_
#define _di_f_file_operation_to_s_
#define _di_f_file_operation_touch_s_
#define _di_f_file_operation_truncate_s_
#define _di_f_file_operation_unlink_s_
#define _di_f_file_operation_verify_s_
#define _di_f_file_operation_wipe_s_
#define _di_f_file_operation_write_s_
#define _di_f_file_owner_read_
#define _di_f_file_poll_
#define _di_f_file_read_
#define _di_f_file_read_block_
#define _di_f_file_read_until_
#define _di_f_file_remove_
#define _di_f_file_remove_at_
#define _di_f_file_rename_
#define _di_f_file_rename_at_
#define _di_f_file_role_change_
#define _di_f_file_role_change_at_
#define _di_f_file_seek_
#define _di_f_file_seeks_d_
#define _di_f_file_select_
#define _di_f_file_select_signal_
#define _di_f_file_size_
#define _di_f_file_size_at_
#define _di_f_file_size_by_id_
#define _di_f_file_stat_
#define _di_f_file_stat_at_
#define _di_f_file_stat_by_id_
#define _di_f_file_stat_flags_e_
//#define _di_f_file_stream_close_
//#define _di_f_file_stream_flush_
//#define _di_f_file_stream_lock_
#define _di_f_file_stream_lock_try_
//#define _di_f_file_stream_open_
#define _di_f_file_stream_open_descriptor_
#define _di_f_file_stream_read_
#define _di_f_file_stream_read_block_
#define _di_f_file_stream_read_until_
#define _di_f_file_stream_reopen_
//#define _di_f_file_stream_unlock_
#define _di_f_file_stream_write_
#define _di_f_file_stream_write_block_
#define _di_f_file_stream_write_range
#define _di_f_file_stream_write_range_
#define _di_f_file_stream_write_until
#define _di_f_file_stream_write_until_
//#define _di_f_file_t_
#define _di_f_file_touch_
#define _di_f_file_touch_at_
#define _di_f_file_type_
#define _di_f_file_type_at_
//#define _di_f_file_type_d_
#define _di_f_file_type_name_block_s_
#define _di_f_file_type_name_character_s_
#define _di_f_file_type_name_directory_s_
#define _di_f_file_type_name_fifo_s_
#define _di_f_file_type_name_file_s_
#define _di_f_file_type_name_link_s_
#define _di_f_file_type_name_regular_s_
#define _di_f_file_type_name_socket_s_
#define _di_f_file_type_s_
//#define _di_f_file_umask_get_
#define _di_f_file_umask_set_
#define _di_f_file_write_
#define _di_f_file_write_block_
#define _di_f_file_write_range_
#define _di_f_file_write_until
#define _di_f_file_write_until_
#define _di_f_files_t_
#define _di_f_filess_delete_callback_
#define _di_f_filess_destroy_callback_
#define _di_f_filess_t_
#define _di_f_fll_id_t_
#define _di_f_fll_ids_delete_callback_
#define _di_f_fll_ids_destroy_callback_
#define _di_f_fll_ids_t_
#define _di_f_fll_idss_delete_callback_
#define _di_f_fll_idss_destroy_callback_
#define _di_f_fll_idss_t_
//#define _di_f_int128_t_
//#define _di_f_int128s_t_
#define _di_f_int128ss_delete_callback_
#define _di_f_int128ss_destroy_callback_
#define _di_f_int128ss_t_
//#define _di_f_int16s_t_
#define _di_f_int16ss_delete_callback_
#define _di_f_int16ss_destroy_callback_
#define _di_f_int16ss_t_
//#define _di_f_int32s_t_
#define _di_f_int32ss_delete_callback_
#define _di_f_int32ss_destroy_callback_
#define _di_f_int32ss_t_
//#define _di_f_int64s_t_
#define _di_f_int64ss_delete_callback_
#define _di_f_int64ss_destroy_callback_
#define _di_f_int64ss_t_
//#define _di_f_int8s_t_
#define _di_f_int8ss_delete_callback_
#define _di_f_int8ss_destroy_callback_
#define _di_f_int8ss_t_
#define _di_f_memory_adjust_
#define _di_f_memory_array_adjust_
#define _di_f_memory_array_append_
#define _di_f_memory_array_append_all_
#define _di_f_memory_array_decimate_by_
#define _di_f_memory_array_decrease_by_
//#define _di_f_memory_array_increase_
//#define _di_f_memory_array_increase_by_
//#define _di_f_memory_array_resize_
#define _di_f_memory_arrays_adjust_
//#define _di_f_memory_arrays_resize_
//#define _di_f_memory_default_d_
//#define _di_f_memory_delete_
#define _di_f_memory_destroy_
//#define _di_f_memory_increase_step_d_
#define _di_f_memory_new_
#define _di_f_memory_new_aligned_
//#define _di_f_memory_resize_
#define _di_f_mode_t_
#define _di_f_number_signeds_t_
#define _di_f_number_signedss_delete_callback_
#define _di_f_number_signedss_destroy_callback_
#define _di_f_number_signedss_t_
//#define _di_f_number_unsigneds_t_
#define _di_f_number_unsignedss_delete_callback_
#define _di_f_number_unsignedss_destroy_callback_
#define _di_f_number_unsignedss_t_
//#define _di_f_pids_t_
#define _di_f_pidss_delete_callback_
#define _di_f_pidss_destroy_callback_
#define _di_f_pidss_t_
#define _di_f_pipe_error_exists_
//#define _di_f_pipe_input_exists_
#define _di_f_pipe_output_exists_
#define _di_f_poll_e_
//#define _di_f_poll_t_
#define _di_f_polls_t_
#define _di_f_pollss_delete_callback_
#define _di_f_pollss_destroy_callback_
#define _di_f_pollss_t_
//#define _di_f_print_
//#define _di_f_print_character_
//#define _di_f_print_character_safely_
#define _di_f_print_character_safely_get_
//#define _di_f_print_dynamic_
#define _di_f_print_dynamic_partial_
#define _di_f_print_dynamic_partial_raw_
#define _di_f_print_dynamic_partial_raw_safely_
#define _di_f_print_dynamic_partial_safely_
#define _di_f_print_dynamic_partial_to_
#define _di_f_print_dynamic_partial_to_raw_
#define _di_f_print_dynamic_partial_to_raw_safely_
#define _di_f_print_dynamic_partial_to_safely_
//#define _di_f_print_dynamic_raw_
//#define _di_f_print_dynamic_raw_safely_
//#define _di_f_print_dynamic_safely_
#define _di_f_print_dynamic_to_
#define _di_f_print_dynamic_to_raw_
#define _di_f_print_except_
#define _di_f_print_except_dynamic_
#define _di_f_print_except_dynamic_partial_
#define _di_f_print_except_dynamic_partial_raw_
#define _di_f_print_except_dynamic_partial_raw_safely_
#define _di_f_print_except_dynamic_partial_safely_
#define _di_f_print_except_dynamic_raw_
#define _di_f_print_except_dynamic_raw_safely_
#define _di_f_print_except_dynamic_safely_
//#define _di_f_print_except_in_
//#define _di_f_print_except_in_dynamic_
#define _di_f_print_except_in_dynamic_partial_
#define _di_f_print_except_in_dynamic_partial_raw_
#define _di_f_print_except_in_dynamic_partial_raw_safely_
#define _di_f_print_except_in_dynamic_partial_safely_
//#define _di_f_print_except_in_dynamic_raw_
//#define _di_f_print_except_in_dynamic_raw_safely_
//#define _di_f_print_except_in_dynamic_safely_
//#define _di_f_print_except_in_raw_
//#define _di_f_print_except_in_raw_safely_
//#define _di_f_print_except_in_safely_
#define _di_f_print_except_raw_
#define _di_f_print_except_raw_safely_
#define _di_f_print_except_safely_
//#define _di_f_print_format_flag_d_
//#define _di_f_print_format_type_e_
//#define _di_f_print_raw_
//#define _di_f_print_raw_safely_
#define _di_f_print_raw_terminated_
//#define _di_f_print_safely_
#define _di_f_print_safely_get_
//#define _di_f_print_safely_terminated_
//#define _di_f_print_sequence_acknowledge_negative_s_
//#define _di_f_print_sequence_acknowledge_s_
//#define _di_f_print_sequence_backspace_s_
//#define _di_f_print_sequence_bell_s_
//#define _di_f_print_sequence_cancel_s_
//#define _di_f_print_sequence_carriage_return_s_
//#define _di_f_print_sequence_data_link_escape_s_
//#define _di_f_print_sequence_delete_s_
//#define _di_f_print_sequence_device_control_1_s_
//#define _di_f_print_sequence_device_control_2_s_
//#define _di_f_print_sequence_device_control_3_s_
//#define _di_f_print_sequence_device_control_4_s_
//#define _di_f_print_sequence_end_of_medium_s_
//#define _di_f_print_sequence_end_of_text_s_
//#define _di_f_print_sequence_end_of_transmission_block_s_
//#define _di_f_print_sequence_end_of_transmission_s_
//#define _di_f_print_sequence_enquiry_s_
//#define _di_f_print_sequence_escape_s_
//#define _di_f_print_sequence_form_feed_s_
//#define _di_f_print_sequence_line_feed_s_
//#define _di_f_print_sequence_line_new_s_
//#define _di_f_print_sequence_null_s_
//#define _di_f_print_sequence_s_
//#define _di_f_print_sequence_separator_file_s_
//#define _di_f_print_sequence_separator_group_s_
//#define _di_f_print_sequence_separator_record_s_
//#define _di_f_print_sequence_separator_unit_s_
//#define _di_f_print_sequence_shift_in_s_
//#define _di_f_print_sequence_shift_out_s_
//#define _di_f_print_sequence_space_s_
//#define _di_f_print_sequence_start_of_header_s_
//#define _di_f_print_sequence_start_of_text_s_
//#define _di_f_print_sequence_substitute_s_
//#define _di_f_print_sequence_synchronous_idle_s_
//#define _di_f_print_sequence_tab_s_
//#define _di_f_print_sequence_tab_vertical_s_
//#define _di_f_print_sequence_unknown_s_
//#define _di_f_print_sequences_set_control_s_
//#define _di_f_print_terminated_
#define _di_f_print_to_
#define _di_f_print_to_character_
#define _di_f_print_to_character_safely_
#define _di_f_print_to_dynamic_
#define _di_f_print_to_dynamic_partial_
#define _di_f_print_to_dynamic_partial_raw_
#define _di_f_print_to_dynamic_partial_raw_safely_
#define _di_f_print_to_dynamic_partial_safely_
#define _di_f_print_to_dynamic_raw_
#define _di_f_print_to_dynamic_raw_safely_
#define _di_f_print_to_dynamic_safely_
#define _di_f_print_to_except_
#define _di_f_print_to_except_dynamic_
#define _di_f_print_to_except_dynamic_in_
#define _di_f_print_to_except_dynamic_in_raw_
#define _di_f_print_to_except_dynamic_in_raw_safely_
#define _di_f_print_to_except_dynamic_in_safely_
#define _di_f_print_to_except_dynamic_partial_
#define _di_f_print_to_except_dynamic_partial_raw_
#define _di_f_print_to_except_dynamic_partial_raw_safely_
#define _di_f_print_to_except_dynamic_partial_safely_
#define _di_f_print_to_except_dynamic_raw_
#define _di_f_print_to_except_dynamic_raw_safely_
#define _di_f_print_to_except_dynamic_safely_
#define _di_f_print_to_except_in_
#define _di_f_print_to_except_in_dynamic_
#define _di_f_print_to_except_in_dynamic_partial_
#define _di_f_print_to_except_in_dynamic_partial_raw_
#define _di_f_print_to_except_in_dynamic_partial_raw_safely_
#define _di_f_print_to_except_in_dynamic_partial_safely_
#define _di_f_print_to_except_in_dynamic_raw_
#define _di_f_print_to_except_in_dynamic_raw_safely_
#define _di_f_print_to_except_in_dynamic_safely_
#define _di_f_print_to_except_in_raw_
#define _di_f_print_to_except_in_raw_safely_
#define _di_f_print_to_except_in_safely_
#define _di_f_print_to_except_raw_
#define _di_f_print_to_except_raw_safely_
#define _di_f_print_to_except_safely_
#define _di_f_print_to_raw_
#define _di_f_print_to_raw_safely_
#define _di_f_print_to_raw_terminated_
#define _di_f_print_to_safely_
#define _di_f_print_to_safely_dynamic_
#define _di_f_print_to_safely_dynamic_partial_
#define _di_f_print_to_safely_terminated_
#define _di_f_print_to_terminated_
//#define _di_f_print_write_max_d_
#define _di_f_quantity_empty_c_
#define _di_f_quantity_t_
#define _di_f_quantitys_append_
#define _di_f_quantitys_append_all_
#define _di_f_quantitys_t_
#define _di_f_quantityss_append_
#define _di_f_quantityss_append_all_
#define _di_f_quantityss_delete_callback_
#define _di_f_quantityss_destroy_callback_
#define _di_f_quantityss_t_
#define _di_f_range_double_empty_c_
#define _di_f_range_double_t_
#define _di_f_range_doubles_append_
#define _di_f_range_doubles_append_all_
#define _di_f_range_doubles_t_
#define _di_f_range_doubless_append_
#define _di_f_range_doubless_append_all_
#define _di_f_range_doubless_delete_callback_
#define _di_f_range_doubless_destroy_callback_
#define _di_f_range_doubless_t_
#define _di_f_range_empty_c_
//#define _di_f_range_t_
#define _di_f_ranges_append_
#define _di_f_ranges_append_all_
//#define _di_f_ranges_t_
#define _di_f_rangess_append_
#define _di_f_rangess_append_all_
#define _di_f_rangess_delete_callback_
#define _di_f_rangess_destroy_callback_
#define _di_f_rangess_t_
#define _di_f_rip_
#define _di_f_rip_dynamic_
#define _di_f_rip_dynamic_nulless_
#define _di_f_rip_dynamic_partial_
#define _di_f_rip_dynamic_partial_nulless_
#define _di_f_rip_nulless_
#define _di_f_rip_utf_
#define _di_f_rip_utf_dynamic_
#define _di_f_rip_utf_dynamic_nulless_
#define _di_f_rip_utf_nulless_
#define _di_f_signal_action_
//#define _di_f_signal_close_
//#define _di_f_signal_how_t_
//#define _di_f_signal_mask_
//#define _di_f_signal_open_
#define _di_f_signal_pause_
#define _di_f_signal_queue_
//#define _di_f_signal_read_
#define _di_f_signal_send_
//#define _di_f_signal_set_add_
//#define _di_f_signal_set_delete_
//#define _di_f_signal_set_empty_
//#define _di_f_signal_set_fill_
#define _di_f_signal_set_has_
#define _di_f_signal_suspend_
//#define _di_f_signal_t_
//#define _di_f_signal_wait_
#define _di_f_signal_wait_until_
//#define _di_f_state_t_
#define _di_f_states_t_
#define _di_f_statess_delete_callback_
#define _di_f_statess_destroy_callback_
#define _di_f_statess_t_
//#define _di_f_status_e_
//#define _di_f_status_mask_d_
//#define _di_f_status_t_
#define _di_f_statuss_t_
#define _di_f_statusss_delete_callback_
#define _di_f_statusss_destroy_callback_
#define _di_f_statusss_t_
#define _di_f_string_append_
#define _di_f_string_append_assure_
#define _di_f_string_append_assure_nulless_
#define _di_f_string_append_nulless_
//#define _di_f_string_ascii_0_s_
//#define _di_f_string_ascii_1_s_
#define _di_f_string_ascii_2_s_
#define _di_f_string_ascii_3_s_
#define _di_f_string_ascii_4_s_
#define _di_f_string_ascii_5_s_
#define _di_f_string_ascii_6_s_
//#define _di_f_string_ascii_7_s_
#define _di_f_string_ascii_8_s_
#define _di_f_string_ascii_9_s_
#define _di_f_string_ascii_A_s_
//#define _di_f_string_ascii_B_s_
//#define _di_f_string_ascii_C_s_
//#define _di_f_string_ascii_D_s_
//#define _di_f_string_ascii_E_s_
#define _di_f_string_ascii_F_s_
//#define _di_f_string_ascii_G_s_
#define _di_f_string_ascii_H_s_
//#define _di_f_string_ascii_I_s_
#define _di_f_string_ascii_J_s_
#define _di_f_string_ascii_K_s_
//#define _di_f_string_ascii_L_s_
#define _di_f_string_ascii_M_s_
//#define _di_f_string_ascii_N_s_
//#define _di_f_string_ascii_O_s_
#define _di_f_string_ascii_P_s_
//#define _di_f_string_ascii_Q_s_
//#define _di_f_string_ascii_R_s_
//#define _di_f_string_ascii_S_s_
//#define _di_f_string_ascii_T_s_
//#define _di_f_string_ascii_U_s_
#define _di_f_string_ascii_V_s_
#define _di_f_string_ascii_W_s_
//#define _di_f_string_ascii_X_s_
#define _di_f_string_ascii_Y_s_
//#define _di_f_string_ascii_Z_s_
#define _di_f_string_ascii_a_s_
#define _di_f_string_ascii_acknowledge_negative_s_
#define _di_f_string_ascii_acknowledge_s_
//#define _di_f_string_ascii_ampersand_s_
//#define _di_f_string_ascii_asterisk_s_
//#define _di_f_string_ascii_b_s_
#define _di_f_string_ascii_bell_s_
#define _di_f_string_ascii_brace_close_s_
#define _di_f_string_ascii_brace_open_s_
//#define _di_f_string_ascii_bracket_close_s_
//#define _di_f_string_ascii_bracket_open_s_
//#define _di_f_string_ascii_c_s_
#define _di_f_string_ascii_cancel_s_
//#define _di_f_string_ascii_caret_s_
//#define _di_f_string_ascii_colon_s_
//#define _di_f_string_ascii_colon_semi_s_
#define _di_f_string_ascii_comma_s_
//#define _di_f_string_ascii_d_s_
#define _di_f_string_ascii_data_link_escape_s_
#define _di_f_string_ascii_device_control_four_s_
#define _di_f_string_ascii_device_control_one_s_
#define _di_f_string_ascii_device_control_three_s_
#define _di_f_string_ascii_device_control_two_s_
//#define _di_f_string_ascii_dollar_s_
//#define _di_f_string_ascii_e_s_
#define _di_f_string_ascii_enquiry_s_
//#define _di_f_string_ascii_equal_s_
#define _di_f_string_ascii_escape_s_
//#define _di_f_string_ascii_exclamation_s_
//#define _di_f_string_ascii_f_s_
#define _di_f_string_ascii_feed_form_s_
//#define _di_f_string_ascii_feed_line_s_
//#define _di_f_string_ascii_g_s_
#define _di_f_string_ascii_grave_s_
#define _di_f_string_ascii_h_s_
#define _di_f_string_ascii_header_start_s_
//#define _di_f_string_ascii_i_s_
#define _di_f_string_ascii_j_s_
#define _di_f_string_ascii_k_s_
//#define _di_f_string_ascii_l_s_
#define _di_f_string_ascii_m_s_
#define _di_f_string_ascii_mark_question_s_
#define _di_f_string_ascii_medium_stop_s_
//#define _di_f_string_ascii_minus_s_
//#define _di_f_string_ascii_n_s_
#define _di_f_string_ascii_null_s_
//#define _di_f_string_ascii_o_s_
#define _di_f_string_ascii_p_s_
#define _di_f_string_ascii_parenthesis_close_s_
#define _di_f_string_ascii_parenthesis_open_s_
//#define _di_f_string_ascii_percent_s_
//#define _di_f_string_ascii_period_s_
#define _di_f_string_ascii_pipe_s_
//#define _di_f_string_ascii_plus_s_
//#define _di_f_string_ascii_pound_s_
//#define _di_f_string_ascii_q_s_
#define _di_f_string_ascii_quote_double_s_
#define _di_f_string_ascii_quote_single_s_
//#define _di_f_string_ascii_r_s_
#define _di_f_string_ascii_return_carriage_s_
//#define _di_f_string_ascii_s_
//#define _di_f_string_ascii_s_s_
#define _di_f_string_ascii_separator_file_s_
#define _di_f_string_ascii_separator_group_s_
#define _di_f_string_ascii_separator_record_s_
#define _di_f_string_ascii_separator_unit_s_
#define _di_f_string_ascii_shift_in_s_
#define _di_f_string_ascii_shift_out_s_
//#define _di_f_string_ascii_sign_at_s_
#define _di_f_string_ascii_sign_greater_than_s_
#define _di_f_string_ascii_sign_less_than_s_
//#define _di_f_string_ascii_slash_backward_s_
//#define _di_f_string_ascii_slash_forward_s_
#define _di_f_string_ascii_space_back_s_
//#define _di_f_string_ascii_space_s_
#define _di_f_string_ascii_substitute_s_
#define _di_f_string_ascii_synchronous_idle_s_
//#define _di_f_string_ascii_t_s_
#define _di_f_string_ascii_tab_horizontal_s_
#define _di_f_string_ascii_tab_vertical_s_
#define _di_f_string_ascii_text_start_s_
#define _di_f_string_ascii_text_stop_s_
#define _di_f_string_ascii_tilde_s_
#define _di_f_string_ascii_transmission_block_end_s_
#define _di_f_string_ascii_transmission_stop_s_
//#define _di_f_string_ascii_u_s_
//#define _di_f_string_ascii_underscore_s_
#define _di_f_string_ascii_v_s_
#define _di_f_string_ascii_w_s_
//#define _di_f_string_ascii_x_s_
#define _di_f_string_ascii_y_s_
//#define _di_f_string_ascii_z_s_
#define _di_f_string_constant_t_
#define _di_f_string_dynamic_append_
#define _di_f_string_dynamic_append_assure_
#define _di_f_string_dynamic_append_assure_nulless_
#define _di_f_string_dynamic_append_nulless_
#define _di_f_string_dynamic_mash_
#define _di_f_string_dynamic_mash_nulless_
#define _di_f_string_dynamic_mish_
#define _di_f_string_dynamic_mish_nulless_
#define _di_f_string_dynamic_partial_append_
#define _di_f_string_dynamic_partial_append_assure_
#define _di_f_string_dynamic_partial_append_assure_nulless_
#define _di_f_string_dynamic_partial_append_nulless_
#define _di_f_string_dynamic_partial_mash_
#define _di_f_string_dynamic_partial_mash_nulless_
#define _di_f_string_dynamic_partial_mish_
#define _di_f_string_dynamic_partial_mish_nulless_
#define _di_f_string_dynamic_partial_prepend_
#define _di_f_string_dynamic_partial_prepend_assure_
#define _di_f_string_dynamic_partial_prepend_assure_nulless
#define _di_f_string_dynamic_partial_prepend_assure_nulless_
#define _di_f_string_dynamic_partial_prepend_nulless
#define _di_f_string_dynamic_partial_prepend_nulless_
#define _di_f_string_dynamic_prepend_
#define _di_f_string_dynamic_prepend_assure_
#define _di_f_string_dynamic_prepend_assure_nulless_
#define _di_f_string_dynamic_prepend_nulless_
#define _di_f_string_dynamic_seek_line_
#define _di_f_string_dynamic_seek_line_to_
#define _di_f_string_dynamic_seek_to_
#define _di_f_string_dynamic_strip_null_
#define _di_f_string_dynamic_strip_null_range_
//#define _di_f_string_dynamic_t_
#define _di_f_string_dynamic_terminate_
#define _di_f_string_dynamic_terminate_after_
#define _di_f_string_dynamics_append_
#define _di_f_string_dynamics_append_all_
//#define _di_f_string_dynamics_delete_callback_
#define _di_f_string_dynamics_destroy_callback_
//#define _di_f_string_dynamics_t_
#define _di_f_string_dynamicss_append_
#define _di_f_string_dynamicss_append_all_
#define _di_f_string_dynamicss_delete_callback_
#define _di_f_string_dynamicss_destroy_callback_
#define _di_f_string_dynamicss_t_
//#define _di_f_string_empty_s_
//#define _di_f_string_eol_s_
#define _di_f_string_format_C_s_
#define _di_f_string_format_DL_double_s_
#define _di_f_string_format_DL_s_
#define _di_f_string_format_DL_single_s_
#define _di_f_string_format_D_double_s_
#define _di_f_string_format_D_s_
#define _di_f_string_format_D_single_s_
#define _di_f_string_format_III_s_
#define _di_f_string_format_II_s_
#define _di_f_string_format_ILL_s_
#define _di_f_string_format_IL_s_
#define _di_f_string_format_IN_s_
#define _di_f_string_format_I_s_
#define _di_f_string_format_QQ_double_s_
//#define _di_f_string_format_QQ_single_s_
#define _di_f_string_format_Q_double_s_
#define _di_f_string_format_Q_range_double_s_
#define _di_f_string_format_Q_range_single_s_
#define _di_f_string_format_Q_s_
//#define _di_f_string_format_Q_single_s_
#define _di_f_string_format_RR_double_s_
#define _di_f_string_format_RR_single_s_
//#define _di_f_string_format_R_double_s_
#define _di_f_string_format_R_range_double_s_
#define _di_f_string_format_R_range_single_s_
#define _di_f_string_format_R_s_
#define _di_f_string_format_R_single_s_
#define _di_f_string_format_SS_double_s_
#define _di_f_string_format_SS_single_s_
#define _di_f_string_format_S_double_s_
#define _di_f_string_format_S_s_
#define _di_f_string_format_S_single_s_
#define _di_f_string_format_UII_s_
#define _di_f_string_format_UI_s_
#define _di_f_string_format_ULL_s_
#define _di_f_string_format_UL_s_
#define _di_f_string_format_UN_s_
#define _di_f_string_format_U_s_
#define _di_f_string_format_Z_double_s_
#define _di_f_string_format_Z_s_
#define _di_f_string_format_Z_single_s_
#define _di_f_string_format_bracket_close_s_
#define _di_f_string_format_bracket_open_s_
#define _di_f_string_format_c_s_
#define _di_f_string_format_d_double_s_
#define _di_f_string_format_d_s_
#define _di_f_string_format_d_single_s_
#define _di_f_string_format_dl_double_s_
#define _di_f_string_format_dl_s_
#define _di_f_string_format_dl_single_s_
#define _di_f_string_format_i_double_s_
#define _di_f_string_format_i_s_
#define _di_f_string_format_i_single_s_
#define _di_f_string_format_ii_double_s_
#define _di_f_string_format_ii_s_
#define _di_f_string_format_ii_single_s_
#define _di_f_string_format_iii_double_s_
#define _di_f_string_format_iii_s_
#define _di_f_string_format_iii_single_s_
#define _di_f_string_format_il_double_s_
#define _di_f_string_format_il_s_
#define _di_f_string_format_il_single_s_
#define _di_f_string_format_ill_double_s_
#define _di_f_string_format_ill_s_
#define _di_f_string_format_ill_single_s_
#define _di_f_string_format_in_double_s_
#define _di_f_string_format_in_s_
#define _di_f_string_format_in_single_s_
#define _di_f_string_format_q_double_s_
#define _di_f_string_format_q_range_double_s_
#define _di_f_string_format_q_range_single_s_
#define _di_f_string_format_q_s_
#define _di_f_string_format_q_single_s_
//#define _di_f_string_format_r_double_s_
#define _di_f_string_format_r_range_double_s_
#define _di_f_string_format_r_range_single_s_
#define _di_f_string_format_r_s_
//#define _di_f_string_format_r_single_s_
#define _di_f_string_format_rr_double_s_
//#define _di_f_string_format_rr_single_s_
//#define _di_f_string_format_s_
#define _di_f_string_format_s_double_s_
#define _di_f_string_format_s_s_
#define _di_f_string_format_s_single_s_
#define _di_f_string_format_sentence_end_double_quote_s_
#define _di_f_string_format_sentence_end_double_s_
#define _di_f_string_format_sentence_end_quote_s_
#define _di_f_string_format_sentence_end_s_
//#define _di_f_string_format_sentence_end_single_quote_s_
//#define _di_f_string_format_sentence_end_single_s_
#define _di_f_string_format_ss_double_s_
#define _di_f_string_format_ss_single_s_
#define _di_f_string_format_u_double_s_
#define _di_f_string_format_u_s_
//#define _di_f_string_format_u_single_s_
#define _di_f_string_format_ui_double_s_
#define _di_f_string_format_ui_s_
#define _di_f_string_format_ui_single_s_
#define _di_f_string_format_uii_double_s_
#define _di_f_string_format_uii_s_
#define _di_f_string_format_uii_single_s_
#define _di_f_string_format_uii_single_s_ULL
#define _di_f_string_format_ul_double_s_
#define _di_f_string_format_ul_s_
//#define _di_f_string_format_ul_single_s_
#define _di_f_string_format_ull_double_s_
#define _di_f_string_format_ull_s_
#define _di_f_string_format_ull_single_s_
#define _di_f_string_format_un_double_s_
#define _di_f_string_format_un_s_
#define _di_f_string_format_un_single_s_
#define _di_f_string_format_z_double_s_
#define _di_f_string_format_z_s_
#define _di_f_string_format_z_single_s_
#define _di_f_string_map_multi_t_
#define _di_f_string_map_multis_append_
#define _di_f_string_map_multis_append_all_
#define _di_f_string_map_multis_delete_callback_
#define _di_f_string_map_multis_destroy_callback_
#define _di_f_string_map_multis_t_
#define _di_f_string_map_multiss_append_
#define _di_f_string_map_multiss_append_all_
#define _di_f_string_map_multiss_delete_callback_
#define _di_f_string_map_multiss_destroy_callback_
#define _di_f_string_map_multiss_t_
#define _di_f_string_map_t_
#define _di_f_string_maps_append_
#define _di_f_string_maps_append_all_
#define _di_f_string_maps_delete_callback_
#define _di_f_string_maps_destroy_callback_
#define _di_f_string_maps_t_
#define _di_f_string_mapss_append_
#define _di_f_string_mapss_append_all_
#define _di_f_string_mapss_delete_callback_
#define _di_f_string_mapss_destroy_callback_
#define _di_f_string_mapss_t_
#define _di_f_string_mash_
#define _di_f_string_mash_nulless_
#define _di_f_string_mish_
#define _di_f_string_mish_nulless_
//#define _di_f_string_null_s_
//#define _di_f_string_placeholder_s_
#define _di_f_string_prepend_
#define _di_f_string_prepend_assure_
#define _di_f_string_prepend_assure_nulless_
#define _di_f_string_prepend_nulless_
#define _di_f_string_seek_line_
#define _di_f_string_seek_line_to_
#define _di_f_string_seek_to_
//#define _di_f_string_space_s_
//#define _di_f_string_static_t_
//#define _di_f_string_statics_t_
#define _di_f_string_staticss_t_
//#define _di_f_string_t_
#define _di_f_string_triple_t_
#define _di_f_string_triples_append_
#define _di_f_string_triples_append_all_
#define _di_f_string_triples_delete_callback_
#define _di_f_string_triples_destroy_callback_
#define _di_f_string_triples_t_
#define _di_f_string_tripless_append_
#define _di_f_string_tripless_append_all_
#define _di_f_string_tripless_delete_callback_
#define _di_f_string_tripless_destroy_callback_
#define _di_f_string_tripless_t_
#define _di_f_thread_at_fork_
#define _di_f_thread_attribute_affinity_get_
#define _di_f_thread_attribute_affinity_set_
#define _di_f_thread_attribute_concurrency_get_
#define _di_f_thread_attribute_concurrency_set_
#define _di_f_thread_attribute_create_
#define _di_f_thread_attribute_default_get_
#define _di_f_thread_attribute_default_set_
#define _di_f_thread_attribute_delete_
#define _di_f_thread_attribute_detach_get_
#define _di_f_thread_attribute_detach_set_
#define _di_f_thread_attribute_guard_get_
#define _di_f_thread_attribute_guard_set_
#define _di_f_thread_attribute_scheduler_inherit_get_
#define _di_f_thread_attribute_scheduler_inherit_set_
#define _di_f_thread_attribute_scheduler_parameter_get_
#define _di_f_thread_attribute_scheduler_parameter_set_
#define _di_f_thread_attribute_scheduler_policy_get_
#define _di_f_thread_attribute_scheduler_policy_set_
#define _di_f_thread_attribute_scope_get_
#define _di_f_thread_attribute_scope_set_
#define _di_f_thread_attribute_stack_get_
#define _di_f_thread_attribute_stack_set_
#define _di_f_thread_attribute_stack_size_get_
#define _di_f_thread_attribute_stack_size_set_
//#define _di_f_thread_attribute_t_
#define _di_f_thread_attributes_delete_callback_
#define _di_f_thread_attributes_destroy_callback_
#define _di_f_thread_attributes_t_
#define _di_f_thread_attributess_delete_callback_
#define _di_f_thread_attributess_destroy_callback_
#define _di_f_thread_barrier_attribute_create_
#define _di_f_thread_barrier_attribute_delete_
#define _di_f_thread_barrier_attribute_shared_get_
#define _di_f_thread_barrier_attribute_shared_set_
#define _di_f_thread_barrier_attribute_t_
#define _di_f_thread_barrier_attributes_delete_callback_
#define _di_f_thread_barrier_attributes_destroy_callback_
#define _di_f_thread_barrier_attributes_t_
#define _di_f_thread_barrier_attributess_delete_callback_
#define _di_f_thread_barrier_attributess_destroy_callback_
#define _di_f_thread_barrier_create_
#define _di_f_thread_barrier_delete_
#define _di_f_thread_barrier_t_
#define _di_f_thread_barrier_wait_
#define _di_f_thread_barriers_delete_callback_
#define _di_f_thread_barriers_destroy_callback_
#define _di_f_thread_barriers_t_
#define _di_f_thread_barrierss_delete_callback_
#define _di_f_thread_barrierss_destroy_callback_
#define _di_f_thread_caller_
//#define _di_f_thread_cancel_
//#define _di_f_thread_cancel_state_set_
#define _di_f_thread_cancel_test_
#define _di_f_thread_cancel_type_set_
#define _di_f_thread_clock_get_id_
#define _di_f_thread_compare_
#define _di_f_thread_condition_attribute_clock_get_
#define _di_f_thread_condition_attribute_clock_set_
#define _di_f_thread_condition_attribute_create_
#define _di_f_thread_condition_attribute_delete_
#define _di_f_thread_condition_attribute_shared_get_
#define _di_f_thread_condition_attribute_shared_set_
#define _di_f_thread_condition_attribute_t_
#define _di_f_thread_condition_attributes_delete_callback_
#define _di_f_thread_condition_attributes_destroy_callback_
#define _di_f_thread_condition_attributes_t_
#define _di_f_thread_condition_attributess_delete_callback_
#define _di_f_thread_condition_attributess_destroy_callback_
#define _di_f_thread_condition_create_
#define _di_f_thread_condition_delete_
#define _di_f_thread_condition_signal_
#define _di_f_thread_condition_signal_all_
#define _di_f_thread_condition_t_
#define _di_f_thread_condition_wait_
#define _di_f_thread_condition_wait_timed_
#define _di_f_thread_conditions_delete_callback_
#define _di_f_thread_conditions_destroy_callback_
#define _di_f_thread_conditions_t_
#define _di_f_thread_conditionss_delete_callback_
#define _di_f_thread_conditionss_destroy_callback_
//#define _di_f_thread_create_
#define _di_f_thread_detach_
#define _di_f_thread_exit_
//#define _di_f_thread_id_t_
#define _di_f_thread_ids_t_
//#define _di_f_thread_join_
#define _di_f_thread_join_timed_
#define _di_f_thread_join_try_
#define _di_f_thread_key_create_
#define _di_f_thread_key_delete_
#define _di_f_thread_key_get_
#define _di_f_thread_key_set_
#define _di_f_thread_key_t_
#define _di_f_thread_keys_delete_callback_
#define _di_f_thread_keys_destroy_callback_
#define _di_f_thread_keys_t_
#define _di_f_thread_keyss_delete_callback_
#define _di_f_thread_keyss_destroy_callback_
#define _di_f_thread_lock_attribute_create_
#define _di_f_thread_lock_attribute_delete_
#define _di_f_thread_lock_attribute_shared_get_
#define _di_f_thread_lock_attribute_shared_set_
#define _di_f_thread_lock_attribute_t_
#define _di_f_thread_lock_attributes_delete_callback_
#define _di_f_thread_lock_attributes_destroy_callback_
#define _di_f_thread_lock_attributes_t_
#define _di_f_thread_lock_attributess_delete_callback_
#define _di_f_thread_lock_attributess_destroy_callback_
#define _di_f_thread_lock_create_
#define _di_f_thread_lock_delete_
#define _di_f_thread_lock_read_
#define _di_f_thread_lock_read_timed_
#define _di_f_thread_lock_read_try_
#define _di_f_thread_lock_t_
#define _di_f_thread_lock_write_
#define _di_f_thread_lock_write_timed_
#define _di_f_thread_lock_write_try_
#define _di_f_thread_locks_delete_callback_
#define _di_f_thread_locks_destroy_callback_
#define _di_f_thread_locks_t_
#define _di_f_thread_lockss_delete_callback_
#define _di_f_thread_lockss_destroy_callback_
#define _di_f_thread_mutex_attribute_create_
#define _di_f_thread_mutex_attribute_delete_
#define _di_f_thread_mutex_attribute_priority_ceiling_get_
#define _di_f_thread_mutex_attribute_priority_ceiling_set_
#define _di_f_thread_mutex_attribute_protocol_get_
#define _di_f_thread_mutex_attribute_protocol_set_
#define _di_f_thread_mutex_attribute_shared_get_
#define _di_f_thread_mutex_attribute_shared_set_
#define _di_f_thread_mutex_attribute_t_
#define _di_f_thread_mutex_attribute_type_get_
#define _di_f_thread_mutex_attribute_type_set_
#define _di_f_thread_mutex_attributes_delete_callback_
#define _di_f_thread_mutex_attributes_destroy_callback_
#define _di_f_thread_mutex_attributes_t_
#define _di_f_thread_mutex_attributess_delete_callback_
#define _di_f_thread_mutex_attributess_destroy_callback_
#define _di_f_thread_mutex_create_
#define _di_f_thread_mutex_delete_
#define _di_f_thread_mutex_lock_
#define _di_f_thread_mutex_lock_timed_
#define _di_f_thread_mutex_lock_try_
#define _di_f_thread_mutex_priority_ceiling_get_
#define _di_f_thread_mutex_priority_ceiling_set_
#define _di_f_thread_mutex_t_
#define _di_f_thread_mutex_unlock_
#define _di_f_thread_mutexs_delete_callback_
#define _di_f_thread_mutexs_destroy_callback_
#define _di_f_thread_mutexs_t_
#define _di_f_thread_mutexss_delete_callback_
#define _di_f_thread_mutexss_destroy_callback_
#define _di_f_thread_once_
#define _di_f_thread_once_t_
#define _di_f_thread_onces_t_
#define _di_f_thread_scheduler_parameter_get_
#define _di_f_thread_scheduler_parameter_set_
#define _di_f_thread_scheduler_priority_set_
#define _di_f_thread_semaphore_create_
#define _di_f_thread_semaphore_delete_
#define _di_f_thread_semaphore_file_close_
#define _di_f_thread_semaphore_file_delete_
#define _di_f_thread_semaphore_file_open_
#define _di_f_thread_semaphore_lock_
#define _di_f_thread_semaphore_lock_timed_
#define _di_f_thread_semaphore_lock_try_
#define _di_f_thread_semaphore_t_
#define _di_f_thread_semaphore_unlock_
#define _di_f_thread_semaphore_value_get_
#define _di_f_thread_semaphores_delete_callback_
#define _di_f_thread_semaphores_destroy_callback_
#define _di_f_thread_semaphores_t_
#define _di_f_thread_semaphoress_delete_callback_
#define _di_f_thread_semaphoress_destroy_callback_
#define _di_f_thread_set_t_
#define _di_f_thread_sets_delete_callback_
#define _di_f_thread_sets_destroy_callback_
#define _di_f_thread_sets_t_
#define _di_f_thread_setss_delete_callback_
#define _di_f_thread_setss_destroy_callback_
//#define _di_f_thread_signal_mask_
#define _di_f_thread_signal_queue_
#define _di_f_thread_signal_write_
#define _di_f_thread_spin_create_
#define _di_f_thread_spin_delete_
#define _di_f_thread_spin_lock_
#define _di_f_thread_spin_lock_try_
#define _di_f_thread_spin_t_
#define _di_f_thread_spin_unlock_
#define _di_f_thread_spins_delete_callback_
#define _di_f_thread_spins_destroy_callback_
#define _di_f_thread_spins_t_
#define _di_f_thread_spinss_delete_callback_
#define _di_f_thread_spinss_destroy_callback_
#define _di_f_thread_unlock_
#define _di_f_time_part_t_
#define _di_f_time_simple_t_
#define _di_f_time_spec_t_
#define _di_f_time_t_
#define _di_f_time_value_t_
//#define _di_f_type_d_
//#define _di_f_type_file_defaults_d_
//#define _di_f_type_file_flag_d_
//#define _di_f_type_number_64_t_
//#define _di_f_type_sizes_d_
//#define _di_f_uint128_t_
#define _di_f_uint128s_t_
#define _di_f_uint128ss_delete_callback_
#define _di_f_uint128ss_destroy_callback_
#define _di_f_uint128ss_t_
//#define _di_f_uint16s_t_
#define _di_f_uint16ss_delete_callback_
#define _di_f_uint16ss_destroy_callback_
#define _di_f_uint16ss_t_
#define _di_f_uint32s_t_
#define _di_f_uint32ss_delete_callback_
#define _di_f_uint32ss_destroy_callback_
#define _di_f_uint32ss_t_
#define _di_f_uint64s_t_
#define _di_f_uint64ss_delete_callback_
#define _di_f_uint64ss_destroy_callback_
#define _di_f_uint64ss_t_
#define _di_f_uint8s_t_
#define _di_f_uint8ss_delete_callback_
#define _di_f_uint8ss_destroy_callback_
#define _di_f_uint8ss_t_
#define _di_f_utf_buffer_decrement_
#define _di_f_utf_buffer_increment_
//#define _di_f_utf_byte_d_
#define _di_f_utf_char_eol_s_
#define _di_f_utf_char_eos_s_
#define _di_f_utf_char_placeholder_s_
#define _di_f_utf_char_s_
//#define _di_f_utf_char_t_
#define _di_f_utf_char_to_char_
//#define _di_f_utf_char_to_character_
#define _di_f_utf_character_is_
#define _di_f_utf_character_is_alphabetic_
#define _di_f_utf_character_is_alphabetic_digit_
#define _di_f_utf_character_is_alphabetic_numeric_
#define _di_f_utf_character_is_ascii_
//#define _di_f_utf_character_is_combining_
//#define _di_f_utf_character_is_control_
#define _di_f_utf_character_is_control_code_
#define _di_f_utf_character_is_control_format_
#define _di_f_utf_character_is_control_picture_
#define _di_f_utf_character_is_digit_
#define _di_f_utf_character_is_emoji_
#define _di_f_utf_character_is_fragment_
#define _di_f_utf_character_is_graph_
#define _di_f_utf_character_is_numeric_
#define _di_f_utf_character_is_phonetic_
#define _di_f_utf_character_is_private_
#define _di_f_utf_character_is_punctuation_
#define _di_f_utf_character_is_subscript_
#define _di_f_utf_character_is_superscript_
#define _di_f_utf_character_is_symbol_
//#define _di_f_utf_character_is_unassigned_
//#define _di_f_utf_character_is_valid_
#define _di_f_utf_character_is_value_
//#define _di_f_utf_character_is_whitespace_
#define _di_f_utf_character_is_whitespace_modifier_
#define _di_f_utf_character_is_whitespace_other_
#define _di_f_utf_character_is_whitespace_zero_width_
//#define _di_f_utf_character_is_wide_
#define _di_f_utf_character_is_word_
#define _di_f_utf_character_is_word_dash_
#define _di_f_utf_character_is_word_dash_plus_
//#define _di_f_utf_character_is_zero_width_
#define _di_f_utf_character_unicode_from_
#define _di_f_utf_character_unicode_string_to_
#define _di_f_utf_character_unicode_to_
#define _di_f_utf_is_
#define _di_f_utf_is_alphabetic_
#define _di_f_utf_is_alphabetic_digit_
#define _di_f_utf_is_alphabetic_numeric_
#define _di_f_utf_is_ascii_
//#define _di_f_utf_is_combining_
//#define _di_f_utf_is_control_
#define _di_f_utf_is_control_code_
#define _di_f_utf_is_control_format_
#define _di_f_utf_is_control_picture_
#define _di_f_utf_is_digit_
#define _di_f_utf_is_emoji_
#define _di_f_utf_is_fragment_
#define _di_f_utf_is_graph_
#define _di_f_utf_is_numeric_
#define _di_f_utf_is_phonetic_
#define _di_f_utf_is_private_
#define _di_f_utf_is_punctuation_
#define _di_f_utf_is_subscript_
#define _di_f_utf_is_superscript_
#define _di_f_utf_is_symbol_
#define _di_f_utf_is_unassigned_
//#define _di_f_utf_is_valid_
//#define _di_f_utf_is_whitespace_
#define _di_f_utf_is_whitespace_modifier_
#define _di_f_utf_is_whitespace_other_
#define _di_f_utf_is_whitespace_zero_width_
#define _di_f_utf_is_wide_
#define _di_f_utf_is_word_
#define _di_f_utf_is_word_dash_
#define _di_f_utf_is_word_dash_plus_
#define _di_f_utf_is_zero_width_
#define _di_f_utf_space_em_per_four_s_
#define _di_f_utf_space_em_per_six_s_
#define _di_f_utf_space_em_per_three_s_
#define _di_f_utf_space_em_quad_s_
#define _di_f_utf_space_em_s_
#define _di_f_utf_space_en_quad_s_
#define _di_f_utf_space_en_s_
#define _di_f_utf_space_figure_s_
#define _di_f_utf_space_hair_s_
#define _di_f_utf_space_ideographic_s_
#define _di_f_utf_space_line_feed_reverse_s_
#define _di_f_utf_space_line_next_s_
#define _di_f_utf_space_medium_mathematical_s_
#define _di_f_utf_space_no_break_narrow_s_
#define _di_f_utf_space_no_break_s_
#define _di_f_utf_space_ogham_s_
#define _di_f_utf_space_punctuation_s_
#define _di_f_utf_space_s_
#define _di_f_utf_space_separator_line_s_
#define _di_f_utf_space_separator_paragraph_s_
#define _di_f_utf_space_thin_s_
#define _di_f_utf_string_append_
#define _di_f_utf_string_append_assure_
#define _di_f_utf_string_append_assure_nulless_
#define _di_f_utf_string_append_nulless_
#define _di_f_utf_string_dynamic_append_
#define _di_f_utf_string_dynamic_append_assure_
#define _di_f_utf_string_dynamic_append_assure_nulless_
#define _di_f_utf_string_dynamic_append_nulless_
#define _di_f_utf_string_dynamic_mash_
#define _di_f_utf_string_dynamic_mash_nulless_
#define _di_f_utf_string_dynamic_mish_
#define _di_f_utf_string_dynamic_mish_nulless_
#define _di_f_utf_string_dynamic_partial_append_
#define _di_f_utf_string_dynamic_partial_append_assure_
#define _di_f_utf_string_dynamic_partial_append_assure_nulless_
#define _di_f_utf_string_dynamic_partial_append_nulless_
#define _di_f_utf_string_dynamic_partial_mash_
#define _di_f_utf_string_dynamic_partial_mash_nulless_
#define _di_f_utf_string_dynamic_partial_mish_
#define _di_f_utf_string_dynamic_partial_mish_nulless_
#define _di_f_utf_string_dynamic_partial_prepend_
#define _di_f_utf_string_dynamic_partial_prepend_assure_
#define _di_f_utf_string_dynamic_partial_prepend_assure_nulless
#define _di_f_utf_string_dynamic_partial_prepend_assure_nulless_
#define _di_f_utf_string_dynamic_partial_prepend_nulless
#define _di_f_utf_string_dynamic_partial_prepend_nulless_
#define _di_f_utf_string_dynamic_prepend_
#define _di_f_utf_string_dynamic_prepend_assure_
#define _di_f_utf_string_dynamic_prepend_assure_nulless_
#define _di_f_utf_string_dynamic_prepend_nulless_
#define _di_f_utf_string_dynamic_seek_line_
#define _di_f_utf_string_dynamic_seek_line_to_
#define _di_f_utf_string_dynamic_seek_to_
//#define _di_f_utf_string_dynamic_t_
#define _di_f_utf_string_dynamic_terminate_
#define _di_f_utf_string_dynamic_terminate_after_
#define _di_f_utf_string_dynamics_append_
#define _di_f_utf_string_dynamics_append_all_
#define _di_f_utf_string_dynamics_delete_callback_
#define _di_f_utf_string_dynamics_destroy_callback_
#define _di_f_utf_string_dynamics_t_
#define _di_f_utf_string_dynamicss_append_
#define _di_f_utf_string_dynamicss_append_all_
#define _di_f_utf_string_dynamicss_delete_callback_
#define _di_f_utf_string_dynamicss_destroy_callback_
#define _di_f_utf_string_dynamicss_t_
#define _di_f_utf_string_empty_s_
#define _di_f_utf_string_map_multi_t_
#define _di_f_utf_string_map_multis_append_
#define _di_f_utf_string_map_multis_append_all_
#define _di_f_utf_string_map_multis_delete_callback_
#define _di_f_utf_string_map_multis_destroy_callback_
#define _di_f_utf_string_map_multis_t_
#define _di_f_utf_string_map_multiss_append_
#define _di_f_utf_string_map_multiss_append_all_
#define _di_f_utf_string_map_multiss_delete_callback_
#define _di_f_utf_string_map_multiss_destroy_callback_
#define _di_f_utf_string_map_multiss_t_
#define _di_f_utf_string_map_t_
#define _di_f_utf_string_maps_append_
#define _di_f_utf_string_maps_append_all_
#define _di_f_utf_string_maps_delete_callback_
#define _di_f_utf_string_maps_destroy_callback_
#define _di_f_utf_string_maps_t_
#define _di_f_utf_string_mapss_append_
#define _di_f_utf_string_mapss_append_all_
#define _di_f_utf_string_mapss_delete_callback_
#define _di_f_utf_string_mapss_destroy_callback_
#define _di_f_utf_string_mapss_t_
#define _di_f_utf_string_mash_
#define _di_f_utf_string_mash_nulless_
#define _di_f_utf_string_mish_
#define _di_f_utf_string_mish_nulless_
#define _di_f_utf_string_prepend_
#define _di_f_utf_string_prepend_assure_
#define _di_f_utf_string_prepend_assure_nulless_
#define _di_f_utf_string_prepend_nulless_
#define _di_f_utf_string_seek_line_
#define _di_f_utf_string_seek_line_to_
#define _di_f_utf_string_seek_to_
//#define _di_f_utf_string_static_t_
#define _di_f_utf_string_statics_t_
#define _di_f_utf_string_staticss_t_
//#define _di_f_utf_string_t_
#define _di_f_utf_string_triple_t_
#define _di_f_utf_string_triples_append_
#define _di_f_utf_string_triples_append_all_
#define _di_f_utf_string_triples_delete_callback_
#define _di_f_utf_string_triples_destroy_callback_
#define _di_f_utf_string_triples_t_
#define _di_f_utf_string_tripless_append_
#define _di_f_utf_string_tripless_append_all_
#define _di_f_utf_string_tripless_delete_callback_
#define _di_f_utf_string_tripless_destroy_callback_
#define _di_f_utf_string_tripless_t_
#define _di_f_utf_substitute_middle_dot_s_
#define _di_f_utf_substitute_open_box_s_
#define _di_f_utf_substitute_open_box_shouldered_s_
#define _di_f_utf_substitute_s_
#define _di_f_utf_substitute_symbol_blank_s_
#define _di_f_utf_substitute_symbol_space_s_
#define _di_f_utf_unicode_from_
#define _di_f_utf_unicode_string_to_
#define _di_f_utf_unicode_to_
#define _di_f_utf_width_e_
//#define _di_fl_conversion_data_base_10_c_
#define _di_fl_conversion_data_base_12_c_
#define _di_fl_conversion_data_base_16_c_
#define _di_fl_conversion_data_base_2_c_
#define _di_fl_conversion_data_base_8_c_
//#define _di_fl_conversion_data_c_
#define _di_fl_conversion_data_endian_big_c_
#define _di_fl_conversion_data_endian_little_c_
//#define _di_fl_conversion_data_flag_e_
//#define _di_fl_conversion_data_t_
#define _di_fl_conversion_dynamic_partial_to_binary_signed_
#define _di_fl_conversion_dynamic_partial_to_binary_unsigned_
#define _di_fl_conversion_dynamic_partial_to_decimal_signed_
#define _di_fl_conversion_dynamic_partial_to_decimal_unsigned_
#define _di_fl_conversion_dynamic_partial_to_signed_
#define _di_fl_conversion_dynamic_partial_to_signed_detect_
#define _di_fl_conversion_dynamic_partial_to_unsigned_
#define _di_fl_conversion_dynamic_partial_to_unsigned_detect_
#define _di_fl_conversion_dynamic_to_binary_signed_
#define _di_fl_conversion_dynamic_to_binary_unsigned_
#define _di_fl_conversion_dynamic_to_decimal_signed_
#define _di_fl_conversion_dynamic_to_decimal_unsigned_
#define _di_fl_conversion_dynamic_to_signed_
#define _di_fl_conversion_dynamic_to_signed_detect_
#define _di_fl_conversion_dynamic_to_unsigned_
//#define _di_fl_conversion_dynamic_to_unsigned_detect_
//#define _di_fl_print_debug_s_
//#define _di_fl_print_error_s_
//#define _di_fl_print_format_
#define _di_fl_print_format_convert_
//#define _di_fl_print_s_
//#define _di_fl_print_string_va_
//#define _di_fl_print_t_
#define _di_fl_print_trim_
#define _di_fl_print_trim_dynamic_
#define _di_fl_print_trim_dynamic_partial_
#define _di_fl_print_trim_dynamic_partial_raw_
#define _di_fl_print_trim_dynamic_partial_raw_safely_
#define _di_fl_print_trim_dynamic_partial_safely_
#define _di_fl_print_trim_dynamic_raw_
#define _di_fl_print_trim_dynamic_raw_safely_
#define _di_fl_print_trim_dynamic_safely_
#define _di_fl_print_trim_except_
#define _di_fl_print_trim_except_dynamic_
#define _di_fl_print_trim_except_dynamic_partial_
#define _di_fl_print_trim_except_dynamic_partial_raw_
#define _di_fl_print_trim_except_dynamic_partial_raw_safely_
#define _di_fl_print_trim_except_dynamic_partial_safely_
#define _di_fl_print_trim_except_dynamic_raw_
#define _di_fl_print_trim_except_dynamic_raw_safely_
#define _di_fl_print_trim_except_dynamic_safely_
#define _di_fl_print_trim_except_in_
#define _di_fl_print_trim_except_in_dynamic_
#define _di_fl_print_trim_except_in_dynamic_partial_
#define _di_fl_print_trim_except_in_dynamic_partial_raw_
#define _di_fl_print_trim_except_in_dynamic_partial_raw_safely_
#define _di_fl_print_trim_except_in_dynamic_partial_safely_
#define _di_fl_print_trim_except_in_dynamic_raw_
#define _di_fl_print_trim_except_in_dynamic_raw_safely_
#define _di_fl_print_trim_except_in_dynamic_safely_
#define _di_fl_print_trim_except_in_raw_
#define _di_fl_print_trim_except_in_raw_safely_
#define _di_fl_print_trim_except_in_safely_
#define _di_fl_print_trim_except_raw_
#define _di_fl_print_trim_except_raw_safely_
#define _di_fl_print_trim_except_safely_
#define _di_fl_print_trim_raw_
#define _di_fl_print_trim_raw_safely_
#define _di_fl_print_trim_safely_
//#define _di_fl_print_warning_s_
//#define _di_fll_error_file_flag_e_
//#define _di_fll_error_file_print_
//#define _di_fll_error_file_type_directory_s_
//#define _di_fll_error_file_type_e_
//#define _di_fll_error_file_type_file_s_
//#define _di_fll_error_file_type_link_s_
//#define _di_fll_error_file_type_path_s_
//#define _di_fll_error_file_type_pipe_s_
//#define _di_fll_error_file_type_s_
//#define _di_fll_error_file_type_socket_s_
#define _di_fll_error_parameter_integer_print_
//#define _di_fll_error_print_
#define _di_fll_print_
#define _di_fll_print_character_
#define _di_fll_print_character_safely_
#define _di_fll_print_dynamic_
#define _di_fll_print_dynamic_partial_
#define _di_fll_print_dynamic_partial_raw_
#define _di_fll_print_dynamic_partial_raw_safely_
#define _di_fll_print_dynamic_partial_safely_
#define _di_fll_print_dynamic_raw_
#define _di_fll_print_dynamic_raw_safely_
#define _di_fll_print_dynamic_safely_
#define _di_fll_print_except_
#define _di_fll_print_except_dynamic_
#define _di_fll_print_except_dynamic_partial_
#define _di_fll_print_except_dynamic_partial_raw_
#define _di_fll_print_except_dynamic_partial_raw_safely_
#define _di_fll_print_except_dynamic_partial_safely_
#define _di_fll_print_except_dynamic_raw_
#define _di_fll_print_except_dynamic_raw_safely_
#define _di_fll_print_except_dynamic_safely_
#define _di_fll_print_except_in_
#define _di_fll_print_except_in_dynamic_
#define _di_fll_print_except_in_dynamic_partial_
#define _di_fll_print_except_in_dynamic_partial_raw_
#define _di_fll_print_except_in_dynamic_partial_raw_safely_
#define _di_fll_print_except_in_dynamic_partial_safely_
#define _di_fll_print_except_in_dynamic_raw_
#define _di_fll_print_except_in_dynamic_raw_safely_
#define _di_fll_print_except_in_dynamic_safely_
#define _di_fll_print_except_in_raw_
#define _di_fll_print_except_in_raw_safely_
#define _di_fll_print_except_in_safely_
#define _di_fll_print_except_raw_
#define _di_fll_print_except_raw_safely_
#define _di_fll_print_except_safely_
//#define _di_fll_print_format_
#define _di_fll_print_format_convert_
#define _di_fll_print_raw_
#define _di_fll_print_raw_safely_
#define _di_fll_print_raw_terminated_
#define _di_fll_print_safely_
#define _di_fll_print_safely_terminated_
#define _di_fll_print_string_va_
#define _di_fll_print_terminated_
#define _di_fll_print_trim_
#define _di_fll_print_trim_dynamic_
#define _di_fll_print_trim_dynamic_partial_
#define _di_fll_print_trim_dynamic_partial_raw_
#define _di_fll_print_trim_dynamic_partial_raw_safely_
#define _di_fll_print_trim_dynamic_partial_safely_
#define _di_fll_print_trim_dynamic_raw_
#define _di_fll_print_trim_dynamic_raw_safely_
#define _di_fll_print_trim_dynamic_safely_
#define _di_fll_print_trim_except_
#define _di_fll_print_trim_except_dynamic_
#define _di_fll_print_trim_except_dynamic_partial_
#define _di_fll_print_trim_except_dynamic_partial_raw_
#define _di_fll_print_trim_except_dynamic_partial_raw_safely_
#define _di_fll_print_trim_except_dynamic_partial_safely_
#define _di_fll_print_trim_except_dynamic_raw_
#define _di_fll_print_trim_except_dynamic_raw_safely_
#define _di_fll_print_trim_except_dynamic_safely_
#define _di_fll_print_trim_except_in_
#define _di_fll_print_trim_except_in_dynamic_
#define _di_fll_print_trim_except_in_dynamic_partial_
#define _di_fll_print_trim_except_in_dynamic_partial_raw_
#define _di_fll_print_trim_except_in_dynamic_partial_raw_safely_
#define _di_fll_print_trim_except_in_dynamic_partial_safely_
#define _di_fll_print_trim_except_in_dynamic_raw_
#define _di_fll_print_trim_except_in_dynamic_raw_safely_
#define _di_fll_print_trim_except_in_dynamic_safely_
#define _di_fll_print_trim_except_in_raw_
#define _di_fll_print_trim_except_in_raw_safely_
#define _di_fll_print_trim_except_in_safely_
#define _di_fll_print_trim_except_raw_
#define _di_fll_print_trim_except_raw_safely_
#define _di_fll_print_trim_except_safely_
#define _di_fll_print_trim_raw_
#define _di_fll_print_trim_raw_safely_
#define _di_fll_print_trim_safely_
//#define _di_fll_program_copyright_s_
//#define _di_fll_program_copyright_year_author_s_
//#define _di_fll_program_data_delete_
#define _di_fll_program_data_destroy_
//#define _di_fll_program_data_pipe_e_
//#define _di_fll_program_data_t_
#define _di_fll_program_parameter_additional_append_
#define _di_fll_program_parameter_additional_mash_
#define _di_fll_program_parameter_additional_rip_
#define _di_fll_program_parameter_additional_rip_mash_
#define _di_fll_program_parameter_filename_s_
//#define _di_fll_program_parameter_filenames_s_
#define _di_fll_program_parameter_process_context_
//#define _di_fll_program_parameter_process_context_standard_
#define _di_fll_program_parameter_process_empty_
#define _di_fll_program_parameter_process_verbosity_
//#define _di_fll_program_parameter_process_verbosity_standard_
//#define _di_fll_program_parameter_s_
//#define _di_fll_program_print_copyright_
#define _di_fll_program_print_error_missing_file_
#define _di_fll_program_print_error_missing_variable_not_zero_
#define _di_fll_program_print_error_parameter_allows_either_xor_
#define _di_fll_program_print_error_parameter_both_specified_same_amount_
#define _di_fll_program_print_error_parameter_both_specified_same_amount_without_
#define _di_fll_program_print_error_parameter_cannot_use_with_
#define _di_fll_program_print_error_parameter_cannot_use_with_pipe_
#define _di_fll_program_print_error_parameter_cannot_use_with_without_
#define _di_fll_program_print_error_parameter_cannot_use_with_xor_
#define _di_fll_program_print_error_parameter_empty_value_
#define _di_fll_program_print_error_parameter_integer_less_than_
#define _di_fll_program_print_error_parameter_integer_more_than_
#define _di_fll_program_print_error_parameter_integer_not_
#define _di_fll_program_print_error_parameter_integer_not_negative_
#define _di_fll_program_print_error_parameter_integer_not_positive_
//#define _di_fll_program_print_error_parameter_missing_value_
#define _di_fll_program_print_error_parameter_missing_value_requires_amount_
#define _di_fll_program_print_error_parameter_must_specify_once_
#define _di_fll_program_print_error_parameter_must_specify_once_value_
#define _di_fll_program_print_error_parameter_process_
#define _di_fll_program_print_error_parameter_range_start_before_stop_
#define _di_fll_program_print_error_parameter_value_too_long_
#define _di_fll_program_print_error_pipe_invalid_form_feed_
#define _di_fll_program_print_error_pipe_missing_content_
#define _di_fll_program_print_error_pipe_object_without_content_
//#define _di_fll_program_print_help_header_
#define _di_fll_program_print_help_operations_
//#define _di_fll_program_print_help_option_
//#define _di_fll_program_print_help_option_long_
#define _di_fll_program_print_help_option_other_
#define _di_fll_program_print_help_option_short_
//#define _di_fll_program_print_help_option_standard_
//#define _di_fll_program_print_help_special_options_
//#define _di_fll_program_print_help_usage_
//#define _di_fll_program_print_signal_received_
//#define _di_fll_program_print_version_
//#define _di_fll_program_standard_set_down_
//#define _di_fll_program_standard_set_up_
//#define _di_fll_program_standard_signal_handle_
//#define _di_fll_program_standard_signal_received_
#define _di_private_inline_f_print_to_error_
#define _di_private_inline_private_f_print_to_error_
